
Redmine - Feature #1236

Make destination folder for attachment uploads configurable

2008-05-14 15:44 - Laradji nacer

Status: Closed Start date: 2008-05-14

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Attachments Estimated time: 0.00 hour

Target version: 1.2.0   

Resolution: Fixed   

Description

By default the attachments are in the files folder under the redmine app.

It will be great if we can set a folder outside the redmine folder.

Because when you make a new .war of redmine for running a re-deploy on a jruby app server it will override the files folder and you

will lose all your files.

Related issues:

Related to Redmine - Feature #7408: Add an application configuration file Closed 2011-01-22

Has duplicate Redmine - Feature #4493: Make destination folder for attachment... Closed 2009-12-28

Has duplicate Redmine - Feature #2231: Ability to specify where files are sto... Closed 2008-11-26

Has duplicate Redmine - Feature #7046: User should be able to specify path fo... Closed 2010-12-04

Has duplicate Redmine - Feature #7957: Customizable location of {installdir}\... Closed 2011-03-22

Has duplicate Redmine - Patch #1511: Configurable location for attachment sto... Closed 2008-06-20

Associated revisions

Revision 4755 - 2011-01-23 11:41 - Jean-Philippe Lang

Makes the folder for attachments storage configurable in config/configuration.yml (#1236).

History

#1 - 2008-05-15 15:53 - Carl Nygard

- File redmine-attachment-storage-path-0.7.0.patch added

Just realized I never submitted this feature request, even though I had a patch ready to go.  This worked in 0.6.4, and should work in 0.7.0.  However,

please test carefully.

#2 - 2008-05-15 16:34 - Laradji nacer

It is possible to add this patch to the 7.2 branch ?

#3 - 2009-12-28 18:51 - Mischa The Evil

- Subject changed from Can configure where to store the download document to Make destination folder for attachment uploads configurable

#4 - 2011-01-23 13:24 - Jean-Philippe Lang

- Status changed from New to Closed

- Target version set to 1.2.0

- Resolution set to Fixed

r4755 makes this folder configurable in the application configuration file (see #7408).

Files

redmine-attachment-storage-path-0.7.0.patch 2.84 KB 2008-05-15 Carl Nygard
